<?php
/**
 * Theme options / Styles / General Typography
 *
 * @package vamtam/morz
 */

return array(

array(
	'label'  => esc_html__( 'Headlines', 'morz' ),
	'type'   => 'heading',
	'id'     => 'styles-typography-headlines',
),

array(
	'label'      => esc_html__( 'H1', 'morz' ),
	'id'         => 'h1',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'      => esc_html__( 'H2', 'morz' ),
	'id'         => 'h2',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'      => esc_html__( 'H3', 'morz' ),
	'id'         => 'h3',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'      => esc_html__( 'H4', 'morz' ),
	'id'         => 'h4',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'      => esc_html__( 'H5', 'morz' ),
	'id'         => 'h5',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'      => esc_html__( 'H6', 'morz' ),
	'id'         => 'h6',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'  => esc_html__( 'Additional Fonts', 'morz' ),
	'type'   => 'heading',
	'id'     => 'styles-typography-additional',
),

array(
	'label'      => esc_html__( 'Emphasis Font', 'morz' ),
	'id'         => 'em',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'      => esc_html__( 'Style 1', 'morz' ),
	'id'         => 'additional-font-1',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'      => esc_html__( 'Style 2', 'morz' ),
	'id'         => 'additional-font-2',
	'type'       => 'typography',
	'compiler'   => true,
	'transport'  => 'postMessage',
),

array(
	'label'  => esc_html__( 'Google Fonts Options', 'morz' ),
	'type'   => 'heading',
	'id'     => 'styles-typography-gfonts',
),

array(
	'label'      => esc_html__( 'Subsets', 'morz' ),
	'id'         => 'gfont-subsets',
	'type'       => 'multicheck',
	'transport'  => 'postMessage',
	'choices'    => vamtam_get_google_fonts_subsets(),
),

);

